#!/bin/bash
#
# Last update: 2020.7.9

# 設定第二個 SSH (遠振 root 登入用)
cp /etc/ssh/sshd{,-second}_config
sed -i "s/#Port 22/Port 22022/g" /etc/ssh/sshd-second_config

cp /usr/lib/systemd/system/sshd.service  /etc/systemd/system/sshd-second.service
sed -i 's/^Description=.*/Description=OpenSSH server second instance daemon/g' /etc/systemd/system/sshd-second.service
sed -i 's/^ExecStart=.*/ExecStart=\/usr\/sbin\/sshd -D -f \/etc\/ssh\/sshd-second_config \$OPTIONS/g' /etc/systemd/system/sshd-second.service

systemctl daemon-reload
systemctl enable sshd-second.service --now

# 設定第一個 SSH (客戶登入用)
sed -i "s/Subsystem/#Subsystem/g" /etc/ssh/sshd_config
sed -i "s/#PermitRootLogin yes/PermitRootLogin no/g" /etc/ssh/sshd_config

/usr/bin/systemctl restart sshd.service
/usr/bin/systemctl restart sshd-second.service

# 設定 cagefs
/bin/cp -f /opt/cpinst/cpinst/config/.bashrc /etc/skel/
/bin/cp -f /opt/cpinst/cpinst/config/custom.black.list /etc/cagefs/
/bin/cp -f /opt/cpinst/cpinst/config/cagefs.mp /etc/cagefs/

/usr/sbin/cagefsctl --force-update
/usr/sbin/cagefsctl --update-etc
/usr/sbin/cagefsctl --remount-all

# 設定 csf
sed -i 's/^TCP_IN.=.*/TCP_IN = "20,21,22,25,53,80,110,143,443,465,587,993,995,2077,2078,2082,2083,2086,2087,2095,2096,30000:50000"/g' /etc/csf/csf.conf
sed -i 's/^TCP6_IN.=.*/TCP6_IN = "20,21,22,25,53,80,110,143,443,465,587,993,995,2077,2078,2082,2083,2086,2087,2095,2096,30000:50000"/g' /etc/csf/csf.conf
csf -r

